/* <ptd$routines.h>
 *
 *	Pseudo-terminal routines (V5.4 and later) from Starlet.
 */
#ifndef _PTD$ROUTINES_H
#define _PTD$ROUTINES_H
# ifdef __cplusplus
extern "C" {
# endif
	/* part of <starlet.h> */

/*  PTD$CANCEL		Cancel queued control connection read request(s) */
/*	PTD$CANCEL chan */
unsigned long ptd$cancel();
/*  PTD$CREATE		Create a pseudo terminal */
/*	PTD$CREATE chan,[acmode],[charbuff],[buflen],[hangup_ast],	-*/
/*+		   [hangup_astprm],[ast_acmode],inadr			 */
unsigned long ptd$create();
/*  PTD$DECTERM_SET_PAGE_SIZE	Change terminal page length and width */
/*	PTD$DECTERM_SET_PAGE_SIZE chan,page_len,page_width */
unsigned long ptd$decterm_set_page_size();
/*  PTD$DELETE		Delete a pseudo terminal */
/*	PTD$DELETE chan */
unsigned long ptd$delete();
/*  PTD$READ[W]		Read data from the pseudo terminal */
/*	PTD$READ[W] [efn],chan,[astadr],[astprm],readbuf,readbuf_len */
unsigned long ptd$read(), ptd$readw();
/*  PTD$SET_EVENT_NOTIFICATION	Enable or disable terminal event notification ASTs */
/*	PTD$SET_EVENT_NOTIFICATION chan,astadr,[astprm],[acmode],type */
unsigned long ptd$set_event_notification();
/*  PTD$WRITE		Write data to the pseudo terminal */
/*	PTD$WRITE chan,[astadr],[astprm],wrtbuf,wrtbuf_len,[echobuf],[echobuf_len] */
unsigned long ptd$write();

# ifdef __cplusplus
}
# endif
#endif	/*_PTD$ROUTINES_H*/
